package org.example;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.Date;
import java.util.List;
import java.util.Map;

@JsonIgnoreProperties
final class GameInfoResponse
{

    private Map<String, String> data;
    private List<Map<String, String>> apps;
    private Map<String, Float> price;
    private Map<String, String> platforms;
    private Map<String, String> controller;


    public Map<String, String> getData()
    {
        return data;
    }

    public void setData(Map<String, String> data)
    {
        this.data = data;
    }

    public List<Map<String, String>> getApps()
    {
        return apps;
    }

    public void setApps(List<Map<String, String>> apps)
    {
        this.apps = apps;
    }

    public Map<String, Float> getPrice()
    {
        return price;
    }

    public void setPrice(Map<String, Float> price)
    {
        this.price = price;
    }

    public Map<String, String> getPlatforms()
    {
        return platforms;
    }

    public void setPlatforms(Map<String, String> platforms)
    {
        this.platforms = platforms;
    }

    public Map<String, String> getController()
    {
        return controller;
    }

    public void setController(Map<String, String> controller)
    {
        this.controller = controller;
    }

    private static final class ReleaseDate
    {
        public boolean isComing_soon()
        {
            return coming_soon;
        }

        public void setComing_soon(boolean coming_soon)
        {
            this.coming_soon = coming_soon;
        }

        public Date getDate()
        {
            return date;
        }

        public void setDate(Date date)
        {
            this.date = date;
        }

        private boolean coming_soon;
        private Date date;
    }
}


